SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   PHProjekt Vendors:   Guenther, Albrecht
PHProjekt 'setup.php' Lets Remote Users Upload Files and Execute Commands
SecurityTracker Alert ID:  1012369
SecurityTracker URL:  http://securitytracker.com/id/1012369
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Dec 1 2004
Impact:   Execution of arbitrary code via network, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.2.1 and prior versions
Description:   A vulnerability was reported in PHProjekt in the setup files. A remote user can modify the configuration and execute arbitrary scripts and commands on the target system.

The vendor reported that a remote user can exploit 'setup.php' to upload and execute arbitrary PHP scripts, including operating system commands, with the privileges of the target web service.

The vendor credits Martin Munch of 'it.sec' with reporting this flaw.

Impact:   A remote user can execute arbitrary PHP scripts, including operating system commands, on the target system. The scripts will run with the privileges of the target web service.
Solution:   The vendor has issued a fixed version of 'setup.php', available at:

http://phprojekt.com/files/4.2/setup.zip

Vendor URL:  www.phprojekt.com/modules.php?op=modload&name=News&file=article&sid=189&mode=thread&order=0 (Links to External Site)
Cause:   Access control error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Dec 11 2004 (Gentoo Issues Fix) PHProjekt 'setup.php' Lets Remote Users Upload Files and Execute Commands   (Thierry Carrez <koon@gentoo.org>)
Gentoo has issued a fix.



 Source Message Contents

Date:  Wed, 1 Dec 2004 10:17:07 -0500
Subject:  http://www.phprojekt.com/modules.php?op=modload&name=News&file=article&sid=189&mode=thread&order=0


> Martin Munch from it-sec reported a security hole in the setup routine of PHProjekt!
> 
> By exploiting this hole it is possible for someone without admin rights to intrude 
> into the setup routine and e.g. change the configuration of the PHProjekt 
> installation.
> 
> This security hole concerns all versions of PHProjekt. Please download this version 
> of setup.php (http://phprojekt.com/files/4.2/setup.zip) to obtain the security fix,
> unpack it and replace the file from the root directory.
> 
> Thanks goes to Martin Munch for reporting the bug, if you have any further comment 
> or question on this please post it in the forum.
> 
> take care
> Albrecht 
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC